Skip to content
Back to top
View this page
Edit this page

# Plugins

This is a list of the currently built-in plugins and what URLs and features they support. Streamlink's primary focus is live streams, so VOD support is limited.

The purpose of having plugins is to allow users of Streamlink to input URLs from specific websites or streaming services without knowing the actual stream URLs or implementations, while also automatically setting up certain HTTP session parameters or providing additional features via CLI arguments, like authentication, skipping ads, enabling low latency streaming, etc.

In addition to the plugins listed below, any of the supported streaming protocols can be played directly, like for example HLS and DASH.

## abematv

Description:

  Japanese live TV streaming website with multiple channels including news, sports, entertainment and anime.

URL(s):

  - abema.tv

Type:

  live, vod

Region:

  Japan

GitHub:

  Source, Issues

## adultswim

Description:

  American live TV channel and video on-demand service owned by Warner Bros.

URL(s):

  - adultswim.com

Type:

  live, vod

Region:

  various

Notes:

  - VODs may be protected by DRM

GitHub:

  Source, Issues

## albavision

Description:

  TV network with multiple live TV channels broadcasting across various Latin American countries.

URL(s):

  - antena7.com.do

  - atv.pe

  - c9n.com.py

  - canal10.com.ni

  - canal12.com.sv

  - chapintv.com

  - elnueve.com.ar

  - redbolivision.tv.bo

  - repretel.com

  - rts.com.ec

  - snt.com.py

  - tvc.com.ec

  - vtv.com.hn

Type:

  live

Region:

  various

GitHub:

  Source, Issues

## aloula

Description:

  Live TV channels and video on-demand service from the SBA, a Saudi, state-owned broadcaster.

URL(s):

  - aloula.sba.sa

  - aloula.sa

Type:

  live, vod

Metadata:

  - id

  - author

  - category

  - title

GitHub:

  Source, Issues

## app17

Description:

  Social platform delivering live broadcasts on diverse topics, from politics and music to entertainment.

URL(s):

  - 17app.co

Type:

  live

GitHub:

  Source, Issues

## ard_live

Description:

  Live TV channels and video on-demand service from ARD, a German public, independent broadcaster.

URL(s):

  - daserste.de

Type:

  live, vod

Metadata:

  - title

Region:

  Germany

GitHub:

  Source, Issues

## ard_mediathek

Description:

  Live TV channels and video on-demand service from ARD, a German public, independent broadcaster.

URL(s):

  - ardmediathek.de

  - mediathek.daserste.de

Type:

  live, vod

Metadata:

  - title

Region:

  Germany

GitHub:

  Source, Issues

## artetv

Description:

  European public service channel promoting culture, including magazine shows, concerts and documentaries.

URL(s):

  - arte.tv

Type:

  live, vod

Metadata:

  - id

  - title

GitHub:

  Source, Issues

## atpchallenger

Description:

  Tennis tournaments organized by the Association of Tennis Professionals.

URL(s):

  - atptour.com/en/atp-challenger-tour/challenger-tv

Type:

  live, vod

GitHub:

  Source, Issues

## atresplayer

Description:

  Spanish live TV channels from Atresmedia Television, including Antena 3 and laSexta.

URL(s):

  - atresplayer.com

Type:

  live

Region:

  Spain

GitHub:

  Source, Issues

## bbciplayer

Description:

  Live TV channels and video on-demand service from the BBC, a British public, state-owned broadcaster.

URL(s):

  - bbc.co.uk/iplayer

Type:

  live, vod

Region:

  United Kingdom

Arguments:

  - `--bbciplayer-username`

  - `--bbciplayer-password`

  - `--bbciplayer-hd`

GitHub:

  Source, Issues

## bfmtv

Description:

  French live TV channels, live streams and video content, owned by NextRadioTV.

URL(s):

  - bfmtv.com

  - 01net.com

Type:

  live, vod

GitHub:

  Source, Issues

## bigo

Description:

  Global live-streaming platform for live video game broadcasts and individual live streams.

URL(s):

  - bigo.tv

Type:

  live

Metadata:

  - id

  - author

  - category

  - title

GitHub:

  Source, Issues

## bilibili

Description:

  Chinese video sharing website based in Shanghai, themed around animation, comics, and games (ACG).

URL(s):

  - live.bilibili.com

Type:

  live

GitHub:

  Source, Issues

## blasttv

Description:

  Esports tournaments run by BlastTV, based in Denmark.

URL(s):

  - blast.tv

Type:

  live, vod

Metadata:

  - id

  - title

GitHub:

  Source, Issues

## blazetv

Description:

  British live TV channel and video on-demand service from Blaze, owned by A&E Networks UK.

URL(s):

  - blaze.tv

Type:

  live, vod

Metadata:

  - id

  - author

  - category

  - title

Region:

  United Kingdom

GitHub:

  Source, Issues

## bloomberg

Description:

  America-based television network centred towards business and capital market programming.

URL(s):

  - bloomberg.com

Type:

  live, vod

Metadata:

  - title

GitHub:

  Source, Issues

## brightcove

Description:

  Global live-streaming and video on-demand hosting platform.

URL(s):

  - players.brightcove.net

Type:

  live, vod

Metadata:

  - title

GitHub:

  Source, Issues

## btv

Description:

  A privately owned Bulgarian live TV channel.

URL(s):

  - btvplus.bg

Type:

  live

Region:

  Bulgaria

GitHub:

  Source, Issues

## cbsnews

Description:

  24-hour live-streaming world news channel, based in the United States of America.

URL(s):

  - cbsnews.com

Type:

  live

Metadata:

  - id

  - title

GitHub:

  Source, Issues

## cdnbg

Description:

  Bulgarian CDN hosting live content for various websites in Bulgaria.

URL(s):

  - armymedia.bg

  - bgonair.bg

  - bloombergtv.bg

  - bnt.bg

  - live.bstv.bg

  - i.cdn.bg

  - nova.bg

  - mu-vi.tv

Type:

  live

Region:

  Bulgaria

GitHub:

  Source, Issues

## ceskatelevize

Description:

  Live TV channels from CT, a Czech public, state-owned broadcaster.

URL(s):

  - ceskatelevize.cz

Type:

  live

Metadata:

  - id

  - title

Region:

  Czechia

GitHub:

  Source, Issues

## chzzk

Description:

  South Korean live-streaming platform for gaming, entertainment, and other creative content. Owned by Naver.

URL(s):

  - chzzk.naver.com

Type:

  live, vod

Metadata:

  - id

  - author

  - category

  - title

GitHub:

  Source, Issues

## cinergroup

Description:

  Turkish live TV channels from Ciner Group, including Haberturk TV and Show TV.

URL(s):

  - bloomberght.com

  - haberturk.com

  - haberturk.tv

  - showmax.com.tr

  - showturk.com.tr

  - showtv.com.tr

Type:

  live

GitHub:

  Source, Issues

## clubbingtv

Description:

  Television channel dedicated to electronic music, DJs and dance music culture.

URL(s):

  - clubbingtv.com

Type:

  live, vod

Account:

  Login required

Arguments:

  - `--clubbingtv-username`

  - `--clubbingtv-password`

GitHub:

  Source, Issues

## cmmedia

Description:

  Live TV channel and video on-demand service from CMM, a Spanish public, state-owned broadcaster.

URL(s):

  - cmmedia.es

Type:

  live, vod

Metadata:

  - id

  - author

  - category

  - title

Notes:

  - Content not licensed for digital distribution is unavailable via the live channel stream.

GitHub:

  Source, Issues

## cnbce

Description:

  Turkish live TV channel owned by NBCUniversal Media.

URL(s):

  - cnbce.com

Type:

  live

Region:

  Turkey

GitHub:

  Source, Issues

## cnews

Description:

  French free-to-air news channel, providing 24-hour national and global news coverage.

URL(s):

  - cnews.fr

Type:

  live, vod

GitHub:

  Source, Issues

## dailymotion

Description:

  Global live-streaming and video on-demand hosting platform.

URL(s):

  - dailymotion.com

  - lequipe.fr

Type:

  live, vod

Metadata:

  - id

  - author

  - title

GitHub:

  Source, Issues

## delfi

Description:

  Internet portal in Estonia, Latvia, and Lithuania providing daily news, ranging from gardening to politics.

URL(s):

  - delfi.lt

  - delfi.ee

  - delfi.lv

Type:

  vod

GitHub:

  Source, Issues

## deutschewelle

Description:

  Live TV channels and video on-demand service from Deutsche Welle, a German public, state-owned broadcaster.

URL(s):

  - dw.com

Type:

  live, vod

Metadata:

  - id

  - author

  - title

GitHub:

  Source, Issues

## dlive

Description:

  Global live-streaming platform owned by BitTorrent, Inc.

URL(s):

  - dlive.tv

Type:

  live, vod

Metadata:

  - id

  - author

  - category

  - title

GitHub:

  Source, Issues

## dogan

Description:

  Turkish live TV channels and video on-demand service from Dogan Group, including CNN Turk and Kanal D.

URL(s):

  - cnnturk.com

  - dreamturk.com.tr

  - dreamtv.com.tr

  - kanald.com.tr

  - teve2.com.tr

Type:

  live, vod

GitHub:

  Source, Issues

## dogus

Description:

  Turkish live TV channels from Dogus Group, including Euro Star, Star and NTV.

URL(s):

  - eurostartv.com.tr

  - kralmuzik.com.tr

  - ntv.com.tr

  - startv.com.tr

Type:

  live

GitHub:

  Source, Issues

## douyin

Description:

  Chinese live-streaming platform owned by ByteDance.

URL(s):

  - live.douyin.com

Type:

  live

Metadata:

  - id

  - author

  - title

GitHub:

  Source, Issues

## drdk

Description:

  Live TV channels from DR, a Danish public, state-owned broadcaster.

URL(s):

  - dr.dk

Type:

  live

Region:

  Denmark

GitHub:

  Source, Issues

## earthcam

Description:

  A network of live webcams for tourism and entertainment.

URL(s):

  - earthcam.com

Type:

  live, vod

Metadata:

  - author

  - category

  - title

Notes:

  - Only works for the cams hosted on EarthCam

GitHub:

  Source, Issues

## euronews

Description:

  French television news network, covering world news from the European perspective.

URL(s):

  - euronews.com

Type:

  live, vod

Notes:

  - Euronews ignores the HTTP client's data decompression capabilities.

  - Streamlink's optional brotli dependency is therefore strictly required.

GitHub:

  Source, Issues

## filmon

Description:

  Live local TV channels and video on-demand service. OTT service from FilmOn.

URL(s):

  - filmon.com

Type:

  live, vod

Notes:

  - Some VODs are mp4 which may not stream, use -o to download

GitHub:

  Source, Issues

## goltelevision

Description:

  Spanish live TV sports channel owned by Gol Network.

URL(s):

  - goltelevision.com

Type:

  live

Region:

  Spain

GitHub:

  Source, Issues

## goodgame

Description:

  Russian live-streaming platform for live video game broadcasts.

URL(s):

  - goodgame.ru

Type:

  live

Metadata:

  - id

  - author

  - category

  - title

GitHub:

  Source, Issues

## googledrive

Description:

  Stream videos stored in Google Drive.

URL(s):

  - docs.google.com

  - drive.google.com

Type:

  vod

GitHub:

  Source, Issues

## gulli

Description:

  French live TV channel and video on-demand service owned by Gulli.

URL(s):

  - replay.gulli.fr

Type:

  live, vod

Region:

  France

GitHub:

  Source, Issues

## hiplayer

Description:

  United Arab Emirates CDN hosting live content for various websites in The Middle East.

URL(s):

  - alwasat.ly

Type:

  live

Region:

  various

GitHub:

  Source, Issues

## htv

Description:

  Vietnamese live TV channels owned by the People's Committee of Ho Chi Minh City.

URL(s):

  - htv.com.vn

Type:

  live

Region:

  Vietnam

GitHub:

  Source, Issues

## huajiao

Description:

  Chinese live-streaming platform for live video game broadcasts and individual live streams.

URL(s):

  - huajiao.com

Type:

  live

Metadata:

  - author

  - category

  - title

GitHub:

  Source, Issues

## huya

Description:

  Chinese live-streaming platform for live video game broadcasts and individual live streams.

URL(s):

  - huya.com

Type:

  live

Metadata:

  - id

  - author

  - title

GitHub:

  Source, Issues

## invintus

Description:

  Global live streaming and video on-demand hosting platform.

URL(s):

  - player.invintus.com

Type:

  live, vod

GitHub:

  Source, Issues

## kick

Description:

  Global live-streaming and video hosting social platform owned by Kick Streaming Pty Ltd.

URL(s):

  - kick.com

Type:

  live, vod

Web browser:

  Required for solving a JS challenge that allows access to the Kick API [?]

Metadata:

  - id

  - author

  - category

  - title

Arguments:

  - `--kick-low-latency`

GitHub:

  Source, Issues

## kugou

Description:

  Artist and fan live streaming for live video game broadcasts and individual live streams.

URL(s):

  - fanxing.kugou.com

Type:

  live

GitHub:

  Source, Issues

## livestream

Description:

  Global live-streaming and video on-demand hosting platform.

URL(s):

  - livestream.com

Type:

  live

Metadata:

  - id

  - title

GitHub:

  Source, Issues

## lnk

Description:

  Lithuanian live TV channels from LNK Group, including 2TV, BTV, Info TV, LNK and TV1.

URL(s):

  - lnk.lt

Type:

  live

Metadata:

  - id

  - author

  - category

  - title

Region:

  Lithuania

GitHub:

  Source, Issues

## lrt

Description:

  Live TV channels from LRT, a Lithuanian public, state-owned broadcaster.

URL(s):

  - lrt.lt

Type:

  live

Metadata:

  - id

  - title

GitHub:

  Source, Issues

## ltv_lsm_lv

Description:

  Live TV channels from LTV, a Latvian public, state-owned broadcaster.

URL(s):

  - ltv.lsm.lv

  - replay.lsm.lv

Type:

  live, vod

Region:

  Latvia

GitHub:

  Source, Issues

## mangomolo

Description:

  OTT video platform owned by Alpha Technology Group

URL(s):

  - player.mangomolo.com

  - media.gov.kw

Type:

  live

GitHub:

  Source, Issues

## mdstrm

Description:

  CDN hosting live content for various websites in the Americas.

URL(s):

  - mdstrm.com

  - latina.pe/tvenvivo

  - saltillo.multimedios.com/video

Type:

  live

Metadata:

  - id

  - title

GitHub:

  Source, Issues

## mediaklikk

Description:

  Live TV channels from MTVA, a Hungarian public, state-owned broadcaster.

URL(s):

  - mediaklikk.hu

  - m4sport.hu

  - hirado.hu

Type:

  live

Region:

  Hungary

GitHub:

  Source, Issues

## mediavitrina

Description:

  Russian live streaming platform hosting various Russian live TV channels.

URL(s):

  - mediavitrina.ru

Type:

  live

Region:

  Russia

GitHub:

  Source, Issues

## mixcloud

Description:

  British music live-streaming platform for radio shows and DJ mixes.

URL(s):

  - mixcloud.com

Type:

  live

Metadata:

  - id

  - author

  - title

GitHub:

  Source, Issues

## mjunoon

Description:

  Pakistani live TV channels and video on-demand service. OTT service from mjunoon.

URL(s):

  - mjunoon.tv

Type:

  live, vod

Metadata:

  - author

  - category

  - title

Region:

  Pakistan

GitHub:

  Source, Issues

## mrtmk

Description:

  Live TV channels and video on-demand service from MRT, a North Macedonian public, state-owned broadcaster.

URL(s):

  - play.mrt.com.mk

Type:

  live, vod

Region:

  North Macedonia

GitHub:

  Source, Issues

## n13tv

Description:

  Israeli live TV channel and video on-demand service owned by Network 13.

URL(s):

  - 13tv.co.il

Type:

  live, vod

Region:

  Israel

GitHub:

  Source, Issues

## nasaplus

Description:

  Live and on-demand streaming platform run by NASA

URL(s):

  - plus.nasa.gov

Type:

  live, vod

Metadata:

  - title

GitHub:

  Source, Issues

## nicolive

Description:

  Japanese live-streaming and video hosting social platform.

URL(s):

  - live.nicovideo.jp

Type:

  live, vod

Metadata:

  - id

  - author

  - title

Account:

  Required by some streams

Notes:

  - Timeshift is supported

Arguments:

  - `--niconico-email`

  - `--niconico-password`

  - `--niconico-user-session`

  - `--niconico-purge-credentials`

  - `--niconico-timeshift-offset`

GitHub:

  Source, Issues

## nimotv

Description:

  Chinese, global live-streaming platform run by Huya Live.

URL(s):

  - nimo.tv

Type:

  live

Metadata:

  - author

  - category

  - title

GitHub:

  Source, Issues

## nos

Description:

  Live TV channels and video on-demand service from NOS, a Dutch public, state-owned broadcaster.

URL(s):

  - nos.nl

Type:

  live, vod

Metadata:

  - id

  - title

Region:

  Netherlands

GitHub:

  Source, Issues

## nowtvtr

Description:

  Turkish live TV channel owned by Disney.

URL(s):

  - nowtv.com.tr

Type:

  live, vod

GitHub:

  Source, Issues

## nrk

Description:

  Live TV channels and video on-demand service from NRK, a Norwegian public, state-owned broadcaster.

URL(s):

  - tv.nrk.no

  - radio.nrk.no

Type:

  live, vod

Region:

  Norway

GitHub:

  Source, Issues

## okru

Description:

  Russian live-streaming and video hosting social platform.

URL(s):

  - ok.ru

  - mobile.ok.ru

Type:

  live, vod

Metadata:

  - id

  - author

  - title

GitHub:

  Source, Issues

## olympicchannel

Description:

  Live TV channel and video on-demand service run by the International Olympic Committee.

URL(s):

  - olympicchannel.com

  - olympics.com

Type:

  live, vod

Notes:

  - Only non-premium content is available

GitHub:

  Source, Issues

## oneplusone

Description:

  Ukrainian live TV channels from 1 + 1 Media group, including 1 + 1, 2 + 2, PLUSPLUS, TET and UNIAN.

URL(s):

  - 1plus1.video

Type:

  live

GitHub:

  Source, Issues

## onetv

Description:

  A state/privately owned Russian live TV channel.

URL(s):

  - 1tv.ru

Type:

  live

Metadata:

  - title

Region:

  Russia

GitHub:

  Source, Issues

## openrectv

Description:

  Japanese live-streaming and video hosting social platform.

URL(s):

  - openrec.tv

Type:

  live, vod

Arguments:

  - `--openrectv-email`

  - `--openrectv-password`

GitHub:

  Source, Issues

## pandalive

Description:

  South Korean live-streaming platform for individual live streams.

URL(s):

  - pandalive.co.kr

Type:

  live

Metadata:

  - author

  - title

GitHub:

  Source, Issues

## piaulizaportal

Description:

  Japanese live-streaming and video hosting platform owned by PIA Corporation.

URL(s):

  - ulizaportal.jp

Type:

  live, vod

Metadata:

  - id

  - title

Account:

  Purchased tickets are required.

Notes:

  - Tickets purchased at "PIA LIVE STREAM" are used for this platform.

GitHub:

  Source, Issues

## picarto

Description:

  Global live-streaming and video hosting platform for the creative community.

URL(s):

  - picarto.tv

Type:

  live, vod

Metadata:

  - author

  - category

  - title

GitHub:

  Source, Issues

## piczel

Description:

  Global live-streaming platform for the creative community.

URL(s):

  - piczel.tv

Type:

  live

Metadata:

  - id

  - author

  - title

GitHub:

  Source, Issues

## pixiv

Description:

  Global live-streaming platform for the creative community.

URL(s):

  - sketch.pixiv.net

Type:

  live

Arguments:

  - `--pixiv-sessionid`

  - `--pixiv-devicetoken`

  - `--pixiv-purge-credentials`

  - `--pixiv-performer`

GitHub:

  Source, Issues

## pluto

Description:

  Live TV and video on-demand service owned by Paramount Streaming.

URL(s):

  - pluto.tv

Type:

  live, vod

Metadata:

  - id

  - author

  - category

  - title

GitHub:

  Source, Issues

## pluzz

Description:

  Live TV channels and video on-demand service from france.tv, a French public, state-owned broadcaster.

URL(s):

  - france.tv

  - francetvinfo.fr

Type:

  live, vod

Metadata:

  - title

Region:

  France, Andorra, Monaco

GitHub:

  Source, Issues

## radiko

Description:

  Japanese live radio simulcasts and time-shifted broadcasts for over 100 stations.

URL(s):

  - radiko.jp

Type:

  live, vod

Region:

  Japan

GitHub:

  Source, Issues

## raiplay

Description:

  Live TV channels from RAI, an Italian public, state-owned broadcaster.

URL(s):

  - raiplay.it

Type:

  live, vod

Region:

  Italy

Arguments:

  - `--raiplay-email`

  - `--raiplay-password`

  - `--raiplay-purge-credentials`

GitHub:

  Source, Issues

## reuters

Description:

  Global business, financial, national and international news.

URL(s):

  - reuters.com

  - reuters.tv

Type:

  live, vod

GitHub:

  Source, Issues

## rtpa

Description:

  Live TV channels and video on-demand service from RTPA, a Spanish public broadcaster.

URL(s):

  - rtpa.es

Type:

  live, vod

Metadata:

  - title

GitHub:

  Source, Issues

## rtpplay

Description:

  Live TV channels and video on-demand service from RTP, a Portuguese public, state-owned broadcaster.

URL(s):

  - rtp.pt/play

Type:

  live, vod

Region:

  Portugal

GitHub:

  Source, Issues

## rtve

Description:

  Live TV channels and video on-demand service from RTVE, a Spanish public, state-owned broadcaster.

URL(s):

  - rtve.es

Type:

  live, vod

Metadata:

  - id

Region:

  Spain

GitHub:

  Source, Issues

## rtvs

Description:

  Live TV channels from RTVS, a Slovak public, state-owned broadcaster.

URL(s):

  - rtvs.sk

Type:

  live

Region:

  Slovakia

GitHub:

  Source, Issues

## ruv

Description:

  Live TV channels and video on-demand service from RUV, an Icelandic public, state-owned broadcaster.

URL(s):

  - ruv.is

Type:

  live, vod

Region:

  Iceland

GitHub:

  Source, Issues

## sbscokr

Description:

  Live TV channels from SBS, a South Korean public broadcaster.

URL(s):

  - www.sbs.co.kr/live

Type:

  live

Metadata:

  - id

  - author

  - title

Region:

  South Korea

GitHub:

  Source, Issues

## showroom

Description:

  Japanese live-streaming service used primarily by Japanese idols & voice actors and their fans.

URL(s):

  - showroom-live.com

Type:

  live

Metadata:

  - title

GitHub:

  Source, Issues

## soop

Description:

  TV and live video game broadcasts, artist performances and personal daily-life video blogs & shows.

URL(s):

  - play.sooplive.co.kr

  - play.afreecatv.com

Type:

  live

Metadata:

  - id

  - author

  - title

Arguments:

  - `--soop-username`

  - `--soop-password`

  - `--soop-purge-credentials`

  - `--soop-stream-password`

GitHub:

  Source, Issues

## sportal

Description:

  Sporting channel live stream owned by Sportal, a Bulgarian sports media website.

URL(s):

  - sportal.bg

Type:

  live

GitHub:

  Source, Issues

## sportschau

Description:

  German sports magazine live streams and VOD content, owned by ARD.

URL(s):

  - sportschau.de

Type:

  live

Metadata:

  - id

  - title

GitHub:

  Source, Issues

## ssh101

Description:

  Global live-streaming platform.

URL(s):

  - ssh101.com

Type:

  live

GitHub:

  Source, Issues

## stadium

Description:

  Sporting live stream and video content, owned by Silver Chalice and Sinclair Broadcast Group.

URL(s):

  - watchstadium.com

Type:

  live, vod

GitHub:

  Source, Issues

## steam

Description:

  Live streaming video game broadcasts from the Steam gaming community.

URL(s):

  - steamcommunity.com

  - steam.tv

Type:

  live

Account:

  Some streams require a login

Arguments:

  - `--steam-email`

  - `--steam-password`

GitHub:

  Source, Issues

## streann

Description:

  Global live-streaming and video on-demand hosting platform.

URL(s):

  - ott.streann.com

  - centroecuador.ec

  - columnaestilos.com

  - evtv.online/noticias-de-venezuela

  - telecuracao.com

Type:

  live, vod

Metadata:

  - title

Arguments:

  - `--streann-url`

GitHub:

  Source, Issues

## stv

Description:

  Live TV channels from STV, a Scottish free-to-air broadcaster.

URL(s):

  - player.stv.tv

Type:

  live

Metadata:

  - title

Region:

  United Kingdom

GitHub:

  Source, Issues

## svtplay

Description:

  Live TV channels and video on-demand service from SVT, a Swedish public, state-owned broadcaster.

URL(s):

  - svtplay.se

Type:

  live, vod

Metadata:

  - author

  - category

  - title

Region:

  Sweden

GitHub:

  Source, Issues

## swisstxt

Description:

  Live TV channels from RSI and SRF, operations of SRG SSR, a Swiss public broadcaster.

URL(s):

  - srf.ch

  - rsi.ch

Type:

  live

Region:

  Switzerland

GitHub:

  Source, Issues

## telefe

Description:

  Video content from Telefe, an Argentine TV station.

URL(s):

  - mitelefe.com

Type:

  live

Metadata:

  - title

Region:

  Argentina

GitHub:

  Source, Issues

## telemadrid

Description:

  Spanish live TV channel for Telemadrid, a public regional television station.

URL(s):

  - telemadrid.es

Type:

  live, vod

Region:

  Spain

GitHub:

  Source, Issues

## tf1

Description:

  French live TV channels from TF1 Group, including LCI and TF1.

URL(s):

  - tf1.fr

  - tf1info.fr

  - lci.fr

Type:

  live

Region:

  France

Account:

  Required on tf1.fr

Arguments:

  - `--tf1-email`

  - `--tf1-password`

  - `--tf1-purge-credentials`

GitHub:

  Source, Issues

## tiktok

Description:

  TikTok is a short-form video hosting service owned by ByteDance.

URL(s):

  - www.tiktok.com

Type:

  live

Metadata:

  - id

  - author

  - title

GitHub:

  Source, Issues

## trovo

Description:

  Global video game live-streaming and video hosting platform, owned by Tencent.

URL(s):

  - trovo.live

Type:

  live, vod

Metadata:

  - id

  - author

  - category

  - title

GitHub:

  Source, Issues

## turkuvaz

Description:

  Turkish live TV channels from Turkuvaz Media Group, including Ahaber, ATV, Minika COCUK and MinikaGO.

URL(s):

  - a2tv.com.tr

  - ahaber.com.tr

  - anews.com.tr

  - apara.com.tr

  - aspor.com.tr

  - atv.com.tr

  - atvavrupa.tv

  - minikacocuk.com.tr

  - minikago.com.tr

  - vavtv.com.tr

Type:

  live, vod

Metadata:

  - id

  - title

Region:

  various

GitHub:

  Source, Issues

## tv360

Description:

  A privately owned Turkish live TV channel.

URL(s):

  - tv360.com.tr

Type:

  live

GitHub:

  Source, Issues

## tv3cat

Description:

  Live TV channels and video on-demand service from CCMA, a Catalan public, state-owned broadcaster.

URL(s):

  - 3cat.cat

  - ccma.cat

Type:

  live, vod

Region:

  Spain

GitHub:

  Source, Issues

## tv5monde

Description:

  Live TV channel and video on-demand service from TV5Monde, a French free-to-air broadcaster.

URL(s):

  - tv5monde.com

  - tivi5mondeplus.com

Type:

  live, vod

Region:

  France, Belgium, Switzerland, Africa

GitHub:

  Source, Issues

## tv8

Description:

  Turkish live TV channel owned by Acun Medya Group.

URL(s):

  - tv8.com.tr

Type:

  live

GitHub:

  Source, Issues

## tv999

Description:

  Turkish live TV channel owned by Detelina Media.

URL(s):

  - tv999.bg

Type:

  live

Region:

  Bulgaria

GitHub:

  Source, Issues

## tvibo

Description:

  Global live streaming and video hosting platform.

URL(s):

  - player.tvibo.com

Type:

  live

GitHub:

  Source, Issues

## tviplayer

Description:

  Live TV channels and video on-demand service from TVI, a Portuguese free-to-air broadcaster.

URL(s):

  - tviplayer.iol.pt

Type:

  live, vod

GitHub:

  Source, Issues

## tvp

Description:

  Live TV channels and VODs from TVP, a Polish public, state-owned broadcaster.

URL(s):

  - vod.tvp.pl

  - tvp.info

  - sport.tvp.pl

Type:

  live, vod

Metadata:

  - id

  - title

Region:

  Poland

Notes:

  - Some live streams and VODs may be geo-restricted. Authentication is not supported.

GitHub:

  Source, Issues

## tvtoya

Description:

  Polish live TV channel owned by Toya.

URL(s):

  - tvtoya.pl

Type:

  live

GitHub:

  Source, Issues

## twitcasting

Description:

  Global live broadcasting and live broadcast archiving social platform.

URL(s):

  - twitcasting.tv

Type:

  live

Metadata:

  - id

Arguments:

  - `--twitcasting-password`

GitHub:

  Source, Issues

## twitch

Description:

  Global live-streaming and video hosting social platform owned by Amazon.

URL(s):

  - twitch.tv

Type:

  live, vod

Web browser:

  Required for getting a new client-integrity token. [?]

Metadata:

  - id

  - author

  - category

  - title

Notes:

  - See the Authentication docs on how to prevent ads.

  - Read more about embedded ads here.

  - Higher quality streams are supported.

  - Low latency streaming is supported.

  - Acquires a client-integrity token on streaming access token failure.

Arguments:

  - `--twitch-low-latency`

  - `--twitch-supported-codecs`

  - `--twitch-api-header`

  - `--twitch-access-token-param`

  - `--twitch-force-client-integrity`

  - `--twitch-purge-client-integrity`

GitHub:

  Source, Issues

## ustreamtv

Description:

  Global live-streaming and video on-demand platform owned by IBM.

URL(s):

  - ustream.tv

  - video.ibm.com

Type:

  live, vod

Arguments:

  - `--ustream-password`

GitHub:

  Source, Issues

## ustvnow

Description:

  US live TV channels. OTT service from USTVnow.

URL(s):

  - ustvnow.com

Type:

  live

Account:

  Required, additional subscription required by some streams

Arguments:

  - `--ustvnow-username`

  - `--ustvnow-password`

GitHub:

  Source, Issues

## vidio

Description:

  Indonesian & international live TV channels and video on-demand service. OTT service from Vidio.

URL(s):

  - vidio.com

Type:

  live, vod

Metadata:

  - id

  - title

GitHub:

  Source, Issues

## vimeo

Description:

  Global live-streaming and video hosting social platform.

URL(s):

  - vimeo.com

Type:

  live, vod

Metadata:

  - id

  - author

  - title

Notes:

  - Password protected streams are not supported

GitHub:

  Source, Issues

## vinhlongtv

Description:

  Vietnamese live TV channels from THVL, including THVL1, THVL2, THVL3 and THVL4.

URL(s):

  - thvli.vn

Type:

  live

Metadata:

  - id

  - title

Region:

  Vietnam

GitHub:

  Source, Issues

## vk

Description:

  Russian live-streaming and video hosting social platform.

URL(s):

  - vk.com

  - vk.ru

Type:

  live, vod

Metadata:

  - id

  - author

  - title

GitHub:

  Source, Issues

## vkvideolive

Description:

  Russian live-streaming platform for gaming and esports, owned by VKontakte. Formerly called vkplay.

URL(s):

  - live.vkvideo.ru

  - live.vkplay.ru

  - vkplay.live

Type:

  live, vod

Metadata:

  - id

  - author

  - category

  - title

GitHub:

  Source, Issues

## welt

Description:

  German news and documentaries TV channel, owned by Axel Springer SE.

URL(s):

  - welt.de

Type:

  live, vod

Metadata:

  - title

Region:

  Germany

Notes:

  - Some VODs are mp4 which may not stream, use -o to download

GitHub:

  Source, Issues

## wwenetwork

Description:

  Live and on-demand video service from World Wrestling Entertainment, Inc.

URL(s):

  - network.wwe.com

Type:

  live, vod

Metadata:

  - id

  - title

Account:

  Required

Arguments:

  - `--wwenetwork-email`

  - `--wwenetwork-password`

GitHub:

  Source, Issues

## youtube

Description:

  Global live-streaming and video hosting social platform owned by Google.

URL(s):

  - youtube.com

  - youtu.be

Type:

  live

Metadata:

  - id

  - author

  - category

  - title

Notes:

  - VOD content and protected videos are not supported

GitHub:

  Source, Issues

## yupptv

Description:

  Indian live TV channels and video on-demand service. OTT service from YuppTV.

URL(s):

  - yupptv.com

Type:

  live, vod

Account:

  Some streams require an account and subscription

Arguments:

  - `--yupptv-boxid`

  - `--yupptv-yuppflixtoken`

  - `--yupptv-purge-credentials`

GitHub:

  Source, Issues

## zattoo

Description:

  European live TV channels and video on-demand service. OTT service from Zattoo.

URL(s):

  - zattoo.com

  - iptv.glattvision.ch

  - www.saktv.ch

  - www.vtxtv.ch

  - mobiltv.quickline.com

  - www.quantum-tv.com

  - tvonline.ewe.de

  - nettv.netcologne.de

  - tvplus.m-net.de

  - player.waly.tv

  - www.1und1.tv

  - www.netplus.tv

  - www.bbv-tv.net

  - www.meinewelt.cc

Type:

  live, vod

Arguments:

  - `--zattoo-email`

  - `--zattoo-password`

  - `--zattoo-purge-credentials`

  - `--zattoo-stream-types`

GitHub:

  Source, Issues

## zdf_mediathek

Description:

  Live TV channels and video on-demand service from ZDF, a German public, independent broadcaster.

URL(s):

  - zdf.de

Type:

  live, vod

Region:

  Germany

GitHub:

  Source, Issues

## zeenews

Description:

  Indian Hindi-language news channel covering world & Indian news, business, entertainment and sport.

URL(s):

  - zeenews.india.com

Type:

  live

GitHub:

  Source, Issues